com.independentsoft.exchange

## Class MessageTrackingReport

- java.lang.Object
- - com.independentsoft.exchange.MessageTrackingReport

-     public class MessageTrackingReport
      extends java.lang.Object

  Contains a single message that is returned in a GetMessageTrackingReport Operation.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Mailbox>` | `getOriginalRecipients()` Gets a list of the recipients of the e-mail message.
    `Mailbox` | `getPurportedSender()` Gets contact information for the alleged sender of an e-mail message.
    `java.util.List<RecipientTrackingEvent>` | `getRecipientTrackingEvents()` Gets a list of one or more tracking events for the recipients.
    `Mailbox` | `getSender()` Gets contact information for the sender of the e-mail message.
    `java.lang.String` | `getSubject()` Gets the subject of the e-mail message.
    `java.util.Date` | `getSubmittedTime()` Gets the time of day that the e-mail message was submitted.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSender

          public Mailbox getSender()

      Gets contact information for the sender of the e-mail message.
      Returns:
        the sender

    - #### getPurportedSender

          public Mailbox getPurportedSender()

      Gets contact information for the alleged sender of an e-mail message.
      Returns:
        the purported sender

    - #### getSubject

          public java.lang.String getSubject()

      Gets the subject of the e-mail message.
      Returns:
        the subject

    - #### getSubmittedTime

          public java.util.Date getSubmittedTime()

      Gets the time of day that the e-mail message was submitted.
      Returns:
        the submitted time

    - #### getOriginalRecipients

          public java.util.List<Mailbox> getOriginalRecipients()

      Gets a list of the recipients of the e-mail message.
      Returns:
        the original recipients

    - #### getRecipientTrackingEvents

          public java.util.List<RecipientTrackingEvent> getRecipientTrackingEvents()

      Gets a list of one or more tracking events for the recipients.
      Returns:
        the recipient tracking events